%{?perl_default_filter}

Summary:        Perl module for context-sensitive phonetic string replacement
Name:           perl-ccom
Version:        1.4.1
Release:    2%{?dist}
License:        LGPLv2+
URL:            https://www.heise.de/ct/ftp/99/25/252/
Source0:        ftp://ftp.heise.de/pub/ct/listings/phonet.tgz
Patch0:         perl-ccom-1.4.1-format-security.patch
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)

%description
A perl module for context-sensitive phonetic string replacement to modify
strings according to predefined replacement rules in such a way that words
with the same pronunciation (e.g. "tail" and "tale") are converted to the
same string. This can, for example, be used to implement error-tolerant
search routines in address databases. It contains phonetic rules for German
only, but the software has been prepared for multi-language support.
                                                                                                        
%prep
%setup -q -c -n %{name}
%patch0 -p0 -b .format-security

mv -f ccom*/* .
chmod 644 *.xs ccomlib/*

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

iconv -f latin1 -t utf-8 -o blib/man3/ccom.3pm.utf8 blib/man3/ccom.3pm
touch -c -r blib/man3/ccom.3pm blib/man3/ccom.3pm.utf8
mv -f blib/man3/ccom.3pm.utf8 blib/man3/ccom.3pm

%install
%make_install
chmod -R u+w %{buildroot}/*

chmod 644 Changes readme_perl.txt ccom_test.pl

sed -e 's/\r//' -i copying.lib -i readme_perl.txt

sed -e 's@#! /opt/perl5/bin/perl@#!%{_bindir}/perl@' -i ccom_test.pl

rm -f %{buildroot}%{perl_vendorarch}/ccom_test.pl

%files
%license copying.lib
%doc Changes readme_perl.txt ccom_test.pl
%{_mandir}/man3/*.3pm*
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/auto/ccom
%{perl_vendorarch}/*.pm

%changelog
* Tue May 07 2024 Fanjun Kong <fanjunkong@tencent.com> - 1.4.1-2
- epol debrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.1-1
- initial build
